View Issue Details

IDProjectCategoryView StatusLast Update
0001359bareos-core[All Projects] directorpublic2021-06-09 14:48
ReporterMc.SimAssigned Toarogge 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionno change required 
PlatformLinuxOSUbuntuOS Version20.04.2
Product Version20.0.1 
Fixed in Version 
Summary0001359: bacula 5.2.6 (Ubuntu 14.04.4) sends backups to Bareos 20.0.1 and failed to traverse folders recursively
DescriptionSo, bacula 5.2.6 (Ubuntu 14.04.4) sends backups to Bareos 20.0.1 and failed to traverse folders recursively.
The task finished with warnings:
```
02-Jun 21:00 server1.domain.com-fd JobId 64: Recursion turned off. Will not descend from /etc into /etc/sgml
02-Jun 21:00 server1.domain.com-fd JobId 64: Recursion turned off. Will not descend from /etc into /etc/sgml
02-Jun 21:00 server1.domain.com-fd JobId 64: Recursion turned off. Will not descend from /etc into /etc/cron.daily
02-Jun 21:00 server1.domain.com-fd JobId 64: Recursion turned off. Will not descend from /etc into /etc/cron.daily
02-Jun 21:00 server1.domain.com-fd JobId 64: Recursion turned off. Will not descend from /etc into /etc/perl
02-Jun 21:00 server1.domain.com-fd JobId 64: Recursion turned off. Will not descend from /etc into /etc/perl
02-Jun 21:00 server1.domain.com-fd JobId 64: Recursion turned off. Will not descend from /etc into /etc/lvm
02-Jun 21:00 server1.domain.com-fd JobId 64: Recursion turned off. Will not descend from /etc into /etc/lvm
```

Job and Fileset configuration:
```
*show job=backup-server1.domain.com-fd
Job {
  Name = "backup-server1.domain.com-fd"
  FullBackupPool = ""
  VirtualFullBackupPool = ""
  IncrementalBackupPool = ""
  DifferentialBackupPool = ""
  NextPool = ""
  Client = "server1.domain.com-fd"
  JobToVerify = ""
  Catalog = ""
  JobDefs = "Backup-Weekly-Linux_Configuration-to-S3"
}

*show jobdefs=Backup-Weekly-Linux_Configuration-to-S3
JobDefs {
  Name = "Backup-Weekly-Linux_Configuration-to-S3"
  Type = Backup
  Level = Incremental
  Messages = "Standard"
  Storage = "bareos-sd/WASABI_ObjectStorage"
  Pool = "Incremental"
  FullBackupPool = ""
  VirtualFullBackupPool = ""
  IncrementalBackupPool = ""
  DifferentialBackupPool = ""
  NextPool = ""
  Client = ""
  FileSet = "Linux_Configuration"
  Schedule = "WeeklyCycle"
  JobToVerify = ""
  Catalog = ""
  JobDefs = ""
}

*show fileset=Linux_Configuration
FileSet {
  Name = "Linux_Configuration"
  Description = "Backupallsystemconfigurations"
  Include {
    Options {
      Signature = "MD5"
      OneFS = No
      Compression = "LZ4HC"
      AclSupport = Yes
      XattrSupport = Yes
    }
    File = "/etc"
    File = "/usr/local/bin"
    File = "/var/lib/iptables"
    File = "/var/spool/cron/crontabs"
    File = "/opt"
  }
}

*show pool=Incremental
Pool {
  Name = "Incremental"
  LabelFormat = "Incremental-"
  LabelType = "bareos"
  ActionOnPurge = None
  MaximumVolumes = 100
  MaximumVolumeBytes = 1 g
  VolumeRetention = 1 months
  NextPool = ""
  RecyclePool = ""
  ScratchPool = ""
  Catalog = ""
}
```

Steps To ReproduceHere is a file on the client and each directory is the same device
```
[root@server1:~]# ls -la /etc/lvm/lvm.conf
-rw-r--r-- 1 root root 36436 Dec 13 2013 /etc/lvm/lvm.conf
[root@server1:~]#
[root@server1:~]# stat /etc
  File: ‘/etc’
  Size: 12288 Blocks: 24 IO Block: 4096 directory
Device: fc02h/64514d Inode: 3801089 Links: 126
Access: (0755/drwxr-xr-x) Uid: ( 0/ root) Gid: ( 0/ root)
Access: 2016-10-19 16:58:29.491040958 -0400
Modify: 2021-05-28 08:04:08.964248238 -0400
Change: 2021-05-28 08:04:08.964248238 -0400
 Birth: -
[root@server1:~]# stat /etc/lvm
  File: ‘/etc/lvm’
  Size: 4096 Blocks: 8 IO Block: 4096 directory
Device: fc02h/64514d Inode: 3801473 Links: 4
Access: (0755/drwxr-xr-x) Uid: ( 0/ root) Gid: ( 0/ root)
Access: 2016-10-19 16:57:29.721041333 -0400
Modify: 2015-01-28 11:20:17.000000000 -0500
Change: 2016-10-19 16:57:29.721041333 -0400
 Birth: -
[root@server1:~]# df -h
Filesystem Size Used Avail Use% Mounted on
udev 12G 4.0K 12G 1% /dev
tmpfs 2.4G 776K 2.4G 1% /run
/dev/dm-2 132G 68G 57G 55% /
none 4.0K 0 4.0K 0% /sys/fs/cgroup
none 5.0M 0 5.0M 0% /run/lock
none 12G 12K 12G 1% /run/shm
none 100M 0 100M 0% /run/user
/dev/mapper/lvm-storage 1.4T 91G 1.2T 7% /storage
10.25.186.8:/www/sites/default/files 1.4T 251G 1.1T 20% /www/sites/default/files
[root@server1:~]#
```

Let's run the job:
```
*run job=backup-server1.domain.com-fd
Run Backup job
JobName: backup-server1.domain.com-fd
Level: Incremental
Client: server1.domain.com-fd
Format: Native
FileSet: Linux_Configuration
Pool: Incremental (From Job resource)
Storage: bareos-sd/WASABI_ObjectStorage (From Job resource)
When: 2021-06-03 08:14:37
Priority: 10
OK to run? (yes/mod/no): yes
Job queued. JobId=66
*
You have messages.
*messages
03-Jun 08:14 bareos-dir JobId 66: Start Backup JobId 66, Job=backup-server1.domain.com-fd.2021-06-03_08.14.42_12
03-Jun 08:14 bareos-dir JobId 66: Connected Storage daemon at bareos-sd:9103, encryption: TLS_CHACHA20_POLY1305_SHA256 TLSv1.3
03-Jun 08:14 bareos-dir JobId 66: Using Device "WASABI_ObjectStorage" to write.
03-Jun 08:14 bareos-dir JobId 66: Connected Client: server1.domain.com-fd at server1.domain.com:9102, encryption: None
03-Jun 08:14 bareos-dir JobId 66: Handshake: Cleartext
03-Jun 08:14 bareos-dir JobId 66: Encryption: None
*messages
03-Jun 08:15 bareos-sd JobId 66: Volume "Incremental-0004" previously written, moving to end of data.
03-Jun 08:15 bareos-sd JobId 66: Ready to append to end of Volume "Incremental-0004" size=51627598
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/sgml
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/sgml
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/cron.daily
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/cron.daily
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/perl
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/perl
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/lvm
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/lvm
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/insserv
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/insserv
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/network
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/network
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/gtk-3.0
03-Jun 08:15 bareos-sd JobId 66: Releasing device "WASABI_ObjectStorage" (WASABIObjectStorage).
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/gtk-3.0
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/csh
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/csh
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/samba
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/samba
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/python3
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/python3
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/kbd
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/kbd
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/mdadm
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/mdadm
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/fstab.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/fstab.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/iptables
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/iptables
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/nginx.from.web2
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/nginx.from.web2
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/.java
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/.java
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/.git
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/.git
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/rc1.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/rc1.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/acpi
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/acpi
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/sane.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/sane.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/sensors.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/sensors.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/python2.7
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/python2.7
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/request-key.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/request-key.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/pki
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/pki
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/apparmor.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/apparmor.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/sudoers.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/sudoers.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/init
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/init
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/iscsi
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/iscsi
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/python3.4
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/python3.4
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/cron.monthly
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/cron.monthly
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/ppp
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/ppp
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/apm
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/apm
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/rsyslog.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/rsyslog.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/cron.weekly
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/cron.weekly
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/insserv.conf.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/insserv.conf.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/X11
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/X11
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/rc4.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/rc4.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/pear
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/pear
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/console-setup
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/console-setup
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/zsh
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/zsh
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/alternatives
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/alternatives
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/dbus-1
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/dbus-1
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/dpkg
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/dpkg
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/polkit-1
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/polkit-1
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/gdb
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/gdb
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/pulse
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/pulse
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/grub.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/grub.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/ssl
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/ssl
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/initramfs-tools
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/initramfs-tools
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/java-7-openjdk
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/java-7-openjdk
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/pam.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/pam.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/kernel
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/kernel
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/rc3.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/rc3.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/skel
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/skel
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/modprobe.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/modprobe.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/vim
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/vim
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/update-notifier
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/update-notifier
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/apport
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/apport
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/depmod.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/depmod.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/apparmor
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/apparmor
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/tmpfiles.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/tmpfiles.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/groff
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/groff
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/php5
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/php5
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/calendar
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/calendar
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/cron.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/cron.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/pm
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/pm
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/logrotate.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/logrotate.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/nginx
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/nginx
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/iproute2
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/iproute2
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/selinux
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/selinux
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/apt
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/apt
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/update-motd.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/update-motd.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/newrelic
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/newrelic
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/newt
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/newt
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/ld.so.conf.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/ld.so.conf.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/rc6.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/rc6.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/chatscripts
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/chatscripts
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/resolvconf
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/resolvconf
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/opt
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/opt
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/rc5.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/rc5.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/libnl-3
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/libnl-3
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/bash_completion.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/bash_completion.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/wpa_supplicant
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/wpa_supplicant
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/xml
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/xml
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/update-manager
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/update-manager
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/nagios
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/nagios
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/python
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/python
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/rcS.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/rcS.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/salt
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/salt
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/w3m
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/w3m
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/ifplugd
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/ifplugd
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/init.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/init.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/systemd
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/systemd
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/at-spi2
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/at-spi2
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/cron.hourly
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/cron.hourly
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/sysstat
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/sysstat
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/ssh
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/ssh
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/nagios-plugins
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/nagios-plugins
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/postfix
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/postfix
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/byobu
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/byobu
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/snmp
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/snmp
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/collectd
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/collectd
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/smartmontools
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/smartmontools
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/ca-certificates
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/ca-certificates
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/rc0.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/rc0.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/newrelic-infra
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/newrelic-infra
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/ldap
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/ldap
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/default
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/default
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/fonts
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/fonts
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/profile.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/profile.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/landscape
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/landscape
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/udev
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/udev
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/security
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/security
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/xdg
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/xdg
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/ufw
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/ufw
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/terminfo
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/terminfo
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/auth-client-config
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/auth-client-config
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/mysql
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/mysql
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/logcheck
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/logcheck
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/bacula
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/bacula
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/dhcp
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/dhcp
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/nginx.original
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/nginx.original
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/sysctl.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/sysctl.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/rc2.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /etc into /etc/rc2.d
03-Jun 08:15 server1.domain.com-fd JobId 66: Could not stat "/var/lib/iptables": ERR=No such file or directory
03-Jun 08:15 server1.domain.com-fd JobId 66: Could not stat "/var/lib/iptables": ERR=No such file or directory
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /opt into /opt/bin
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /opt into /opt/bin
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /opt into /opt/newrelic
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /opt into /opt/newrelic
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /opt into /opt/test
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /opt into /opt/test
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /opt into /opt/megacli
03-Jun 08:15 server1.domain.com-fd JobId 66: Recursion turned off. Will not descend from /opt into /opt/megacli
03-Jun 08:15 bareos-sd JobId 66: Elapsed time=00:00:10, Transfer rate=1.405 K Bytes/second
03-Jun 08:15 bareos-dir JobId 66: Insert of attributes batch table with 130 entries start
03-Jun 08:15 bareos-dir JobId 66: Insert of attributes batch table done
03-Jun 08:15 bareos-dir JobId 66: Bareos bareos-dir 20.0.1 (02Mar21):
  Build OS: Ubuntu 20.04.1 LTS
  JobId: 66
  Job: backup-server1.domain.com-fd.2021-06-03_08.14.42_12
  Backup Level: Incremental, since=2021-06-02 21:00:15
  Client: "server1.domain.com-fd" 5.2.6 (21Feb12) x86_64-pc-linux-gnu,ubuntu,14.04
  FileSet: "Linux_Configuration" 2021-05-26 21:00:00
  Pool: "Incremental" (From Job resource)
  Catalog: "MyCatalog" (From Client resource)
  Storage: "bareos-sd/WASABI_ObjectStorage" (From Job resource)
  Scheduled time: 03-Jun-2021 08:14:37
  Start time: 03-Jun-2021 08:14:44
  End time: 03-Jun-2021 08:15:57
  Elapsed time: 1 min 13 secs
  Priority: 10
  FD Files Written: 130
  SD Files Written: 130
  FD Bytes Written: 2,864 (2.864 KB)
  SD Bytes Written: 14,058 (14.05 KB)
  Rate: 0.0 KB/s
  Software Compression: None
  VSS: no
  Encryption: yes
  Accurate: no
  Volume name(s): Incremental-0004
  Volume Session Id: 14
  Volume Session Time: 1622554182
  Last Volume Bytes: 51,643,808 (51.64 MB)
  Non-fatal FD errors: 1
  SD Errors: 0
  FD termination status: OK
  SD termination status: OK
  Bareos binary info: bareos.org build: Get official binaries and vendor support on bareos.com
  Job triggered by: User
  Termination: Backup OK -- with warnings

*
```

Ok, Let's check, is there /etc/lvm/lvm.conf file present in the backup:

```
*restore
Using Catalog "MyCatalog"

First you select one or more JobIds that contain files
to be restored. You will be presented several methods
of specifying the JobIds. Then you will be allowed to
select which files from those JobIds are to be restored.

To select the JobIds, you have the following choices:
     1: List last 20 Jobs run
     2: List Jobs where a given File is saved
     3: Enter list of comma separated JobIds to select
     4: Enter SQL list command
     5: Select the most recent backup for a client
     6: Select backup for a client before a specified time
     7: Enter a list of files to restore
     8: Enter a list of files to restore before a specified time
     9: Find the JobIds of the most recent backup for a client
    10: Find the JobIds for a backup for a client before a specified time
    11: Enter a list of directories to restore for found JobIds
    12: Select full restore to a specified Job date
    13: Cancel
Select item: (1-13): 2
Defined Clients:
     1: bareos-fd
     2: server1.domain.com-fd
Select the Client (1-2): 2
Enter Filename (no path):lvm.conf
No results to list.
To select the JobIds, you have the following choices:

```
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

Mc.Sim

Mc.Sim

2021-06-03 13:40

reporter   ~0004142

Looks like, problem found.
bacula 5.2.6 does not support Compression = "LZ4HC"
I have changed it to the GZIP and now its ok.
Mc.Sim

Mc.Sim

2021-06-03 13:59

reporter   ~0004143

https://sourceforge.net/p/bacula/mailman/message/33396982/

And for history
arogge

arogge

2021-06-09 14:48

developer   ~0004145

Backing up from a bacula-fd is not really supported anymore.

Issue History

Date Modified Username Field Change
2021-06-03 10:21 Mc.Sim New Issue
2021-06-03 13:40 Mc.Sim Note Added: 0004142
2021-06-03 13:59 Mc.Sim Note Added: 0004143
2021-06-09 14:48 arogge Assigned To => arogge
2021-06-09 14:48 arogge Status new => resolved
2021-06-09 14:48 arogge Resolution open => no change required
2021-06-09 14:48 arogge Note Added: 0004145
2021-06-09 14:48 arogge Status resolved => closed